API reference
SetPartnerPostPartner
Reassign posts to a different partner and rescore attribution. Write access, posts toolset, MCP tool set_partner_post_partner.
Access: Write
Variables
| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
input | SetPartnerPostPartnerInput! | yes | Input object, below |
Input types
SetPartnerPostPartnerInput
| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
partnerId | UUID! | yes | ||
postIds | [UUID!]! | yes | 1 to 100 items |
Call it
bash
curl https://api.missin.co.uk/graphql/v1 \
-H "Authorization: Bearer $MISSIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"operationName":"SetPartnerPostPartner","variables":{"input":{"partnerId":"00000000-0000-0000-0000-000000000000","postIds":[]}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"aa0b1a9cf67c95a4529192db41fb0e98f225c462c3d6254c5de780f31a8f7e42"}}}'Document
graphql
mutation SetPartnerPostPartner($input: SetPartnerPostPartnerInput!) { __typename setPartnerPostPartner(input: $input) { __typename attributionCarriedOver attributionRescored posts { __typename partnerId partnerPostId } userErrors { __typename code field message } } }